Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Class MultivaluedFieldBuilder

    java.lang.Object
      com.servingxml.util.record.MultivaluedFieldBuilder

    public class MultivaluedFieldBuilder

extends java.lang.Object

A `MultivaluedFieldBuilder` class builds a record.

Constructor Summary
`MultivaluedFieldBuilder()` Creates a record builder with no initial field types.

Method Summary
`protected int` | `addFieldEntry(com.servingxml.util.record.MultivaluedFieldBuilder.FieldEntry fieldEntry)` Adds a field type.
`void` | `addSegment(Name name, Record record)` Sets a value for a field.
`void` | `addString(Name name, java.lang.String value)` Sets a value for a field.
`void` | `clear()`
`protected int` | `getFieldIndex(Name name)`
`void` | `updateRecord(RecordBuilder recordBuilder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultivaluedFieldBuilder

    public MultivaluedFieldBuilder()

  Creates a record builder with no initial field types.

Method Detail

### addString

    public void addString(Name name,
                          java.lang.String value)

  Sets a value for a field.

  Parameters:
    `name` - The field name.
    `value` - The field value.

### addSegment

    public void addSegment(Name name,
                           Record record)

  Sets a value for a field.

  Parameters:
    `name` - The field name.
    `record` - The segment value.

### updateRecord

    public void updateRecord(RecordBuilder recordBuilder)

### getFieldIndex

    protected int getFieldIndex(Name name)

### addFieldEntry

    protected int addFieldEntry(com.servingxml.util.record.MultivaluedFieldBuilder.FieldEntry fieldEntry)

  Adds a field type.

  Parameters:
    `fieldEntry` - A field type.

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD